Subject: Re: [TEST] conntrack_reverse_clash.sh flakes

From: Jakub Kicinski <[email-masked]>
Date: Sat, 6 Dec 2025 17:56:47 -0800

On Sat, 6 Dec 2025 17:51:35 -0800 Jakub Kicinski wrote:
> Hi Florian!
> 
> We have a new faster NIPA setup, and now on non-debug builds we see 
> a few (4 a week to be exact) flakes in conntrack_reverse_clash.sh

Ah, one more, the non-reverse conntrack-clash is SKIPping, occasionally:
https://netdev.bots.linux.dev/contest.html?pass=0&test=conntrack-clash-sh

If the event it's testing is probabilistic could we make it return XFAIL
when it doesn't trigger? We try to reserve SKIP for tests skipped
because tool is missing in env, something isn't built into the kernel
etc.